## python-trie 0.4.0+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyTrie.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyTrie.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-trie 0.2%2Bds

=== debian/changelog ===
python-trie (0.2+ds-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support (Closes: #938228).

 -- Ondřej Nový <onovy@debian.org>  Fri, 11 Oct 2019 09:37:31 +0200

python-trie (0.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #822195)

 -- Orestis Ioannou <orestis@oioannou.com>  Sun, 24 Jul 2016 12:12:37 +0200

=== debian/control ===
Source: python-trie
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Orestis Ioannou <orestis@oioannou.com>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-sphinx,
 python3-all,
Standards-Version: 3.9.8
Homepage: http://pythonhosted.org/PyTrie/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-trie.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-trie

Package: python3-trie
Architecture: all
Suggests:
 python-trie-doc,
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Pure Python implementation of the trie data structure (Python 3)
 A trie is an ordered tree data structure that is used to store a mapping where
 the keys are sequences, usually strings over an alphabet.
 In addition to implementing the mapping interface, tries allow finding the
 items for a given prefix, and vice versa, finding the items whose keys are
 prefixes of a given key.
 .
 This is the Python 3 package.

Package: python-trie-doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Section: doc
Description: Pure Python implementation of the trie data structure (doc)
 A trie is an ordered tree data structure that is used to store a mapping where
 the keys are sequences, usually strings over an alphabet.
 In addition to implementing the mapping interface, tries allow finding the
 items for a given prefix, and vice versa, finding the items whose keys are
 prefixes of a given key.
 .
 This package contains the HTML documentation.

## python-trie 0.2+ds

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,31 @@
 Uploaders:
  Orestis Ioannou <orestis@oioannou.com>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper (>= 9),
  dh-python,
- python3-sphinx,
+ python-all,
+ python-sphinx,
  python3-all,
 Standards-Version: 3.9.8
 Homepage: http://pythonhosted.org/PyTrie/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-trie.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-trie
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-trie.git
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-trie.git
+
+Package: python-trie
+Architecture: all
+Suggests:
+ python-trie-doc,
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+Description: Pure Python implementation of the trie data structure (Python 2)
+ A trie is an ordered tree data structure that is used to store a mapping where
+ the keys are sequences, usually strings over an alphabet.
+ In addition to implementing the mapping interface, tries allow finding the
+ items for a given prefix, and vice versa, finding the items whose keys are
+ prefixes of a given key.
+ .
+ This is the Python 2 package.
 
 Package: python3-trie
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=trie
export PYBUILD_BEFORE_TEST=cp {dir}/test/test_trie.py {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test test_trie.py
%:
	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) -C docs html
	dh_auto_build

## python-trie 0.4.0+ds

=== debian/changelog ===
python-trie (0.4.0+ds-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 13.

  [ Håvard Flaget Aasen ]
  * New upstream release. Closes: #887331
    - New upstream release supports Python 3.10. Closes: #1002127
  * Add python3-setuptools and python3-sortedcontainers as build dependencies.
  * Don't run tests in test_mappings.py
  * Mark doc package multi-arch: foreign.
  * Change homepage URL, point to GitHub.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository
    and Repository-Browse.
  * d/watch: Bump to version 4.
  * Document Rules-requires-Root.
  * Add patch to fix attribute error when building documentation.
  * d/rules: Make use of 'execute_before' instead of 'override'.
  * Update Standards-Version to 4.6.0.
  * d/control:
    - Update copyrighted year.
    - Change source URL, point to GitHub.
    - Add upstream-contact.
  * Ignore *.egg-info files, prevents ftbfs when building twice in a row.
  * Add upstream testsuite as autopkgtest.
  * Enable salsa CI.
  * Run wrap-and-sort -at

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 22 Dec 2021 15:36:10 +0000

=== debian/control ===
Source: python-trie
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Orestis Ioannou <orestis@oioannou.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sortedcontainers,
               python3-sphinx,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/gsakkis/pytrie
Vcs-Git: https://salsa.debian.org/python-team/packages/python-trie.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trie

Package: python3-trie
Architecture: all
Suggests: python-trie-doc,
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Pure Python implementation of the trie data structure (Python 3)
 A trie is an ordered tree data structure that is used to store a mapping where
 the keys are sequences, usually strings over an alphabet.
 In addition to implementing the mapping interface, tries allow finding the
 items for a given prefix, and vice versa, finding the items whose keys are
 prefixes of a given key.
 .
 This is the Python 3 package.

Package: python-trie-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Section: doc
Description: Pure Python implementation of the trie data structure (doc)
 A trie is an ordered tree data structure that is used to store a mapping where
 the keys are sequences, usually strings over an alphabet.
 In addition to implementing the mapping interface, tries allow finding the
 items for a given prefix, and vice versa, finding the items whose keys are
 prefixes of a given key.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=trie

# These tests is disabled. The necessary files currently only
# resides in libpython*-testsuite.
export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/test_mapping.py

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	$(MAKE) -C docs html

=== debian/tests/control ===
Tests: upstream
Depends: python3-all,
         python3-trie,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=compression=xz,repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,uversionmangle=s/(rc|a|b|c)/~$1/  \
https://pypi.debian.net/PyTrie/PyTrie-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
